#pragma once

#include <wrl.h>

struct ID3D12Device;
struct IDXGIFactory7;
struct IDXGIAdapter1;

class Win32DxInterface
{
public:

	void initialize();

	ID3D12Device* getDevice() const;

	IDXGIFactory7* getFactory() const;

private:
	void getHardwareAdapter(IDXGIAdapter1** ppAdapter);

	Microsoft::WRL::ComPtr<IDXGIFactory7> mFactory;
	Microsoft::WRL::ComPtr<ID3D12Device> mDevice;
};